Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1573958 - Review Request: nodejs-is-node - Detect if current process is a node application or not
Summary: Review Request: nodejs-is-node - Detect if current process is a node applicat...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews antora
TreeView+ depends on / blocked
 
Reported: 2018-05-02 15:03 UTC by Jared Smith
Modified: 2018-05-10 14:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 14:57:55 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2018-05-02 15:03:20 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-node/nodejs-is-node.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-node/nodejs-is-node-1.0.2-1.fc29.src.rpm
Description: Detect if current process is a node application or not
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2018-05-02 19:55:56 UTC
 - Latest version packaged
 - License ok
 - Builds in Mock
 - Conforms to the Packaging Guidelines

 - I've got an error when trying to install:

DEBUG util.py:482:  BUILDSTDERR: Error: 
DEBUG util.py:482:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:482:  BUILDSTDERR:   - nothing provides (nodejs(engine) >= 0.10 with nodejs(engine) < 0.11) needed by nodejs-is-node-1.0.2-1.fc29.noarch

Comment 2 Jared Smith 2018-05-09 14:06:49 UTC
Can you please try again on this package?  I think you encountered a problem in the nodejs-packaging RPM, which caused this error, but has since been fixed.

Comment 3 Robert-André Mauchin 2018-05-09 15:53:29 UTC
Package approved.

Comment 4 Jared Smith 2018-05-10 12:50:17 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/6506.

Comment 5 Gwyn Ciesla 2018-05-10 12:55:50 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-is-node

Comment 6 Jared Smith 2018-05-10 14:57:55 UTC
Packaged in Rawhide, closing this issue


Note You need to log in before you can comment on or make changes to this bug.